Summary:	Interface to communicate with the nscd daemon
Summary(pl.UTF-8):	Interfejs do komunikowania z demonem nscd
Name:		libnscd
Version:	2.0.2
Release:	4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://suse.osuosl.org/people/kukuk/libnscd/%{name}-%{version}.tar.bz2
# Source0-md5:	a6f37e961de4f09c06df43070a47c615
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
This library provides an easy interface for normal programs to
communicate with the nscd daemon from the GNU C Library.

%description -l pl.UTF-8
Ta biblioteka dostarcza łatwy w użyciu interfejs do komunikowania się
z demonem nscd pochodzącym z biblioteki GNU C w zwykłych programach.

%package devel
Summary:	Header files for libnscd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnscd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libnscd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnscd.

%package static
Summary:	Static libnscd library
Summary(pl.UTF-8):	Statyczna biblioteka libnscd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnscd library.

%description static -l pl.UTF-8
Statyczna biblioteka libnscd.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libnscd.so.*.*.*
%ghost %{_libdir}/libnscd.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnscd.so
%{_libdir}/libnscd.la
%{_includedir}/libnscd.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnscd.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnscd.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0031cb4
- x32 rebuild
- release 4 (by relup.sh)

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> 26e872f
- rpmlint: add ghost soname symlink

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 7b5c162
- release 2

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 265b4e7
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> da3dc0c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> efcae08
- converted to UTF-8

* Thu Jan 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c1d26ed
- up to 2.0.2

* Sun Jan 22 2006 Paweł Sikora <pluto@pld-linux.org> 410cba6
- release 1.

* Mon Jun 06 2005 Elan Ruusamäe <glen@pld-linux.org> 27efbcd
- updated to 1.1

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 4f4e22f
- new

